---
title: Get raw response
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[URL Scanner](https://developers.cloudflare.com/api/go/resources/url_scanner)

[Responses](https://developers.cloudflare.com/api/go/resources/url_scanner/subresources/responses)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get raw response

client.URLScanner.Responses.Get(ctx, responseID, query) (\*string, error)

GET/accounts/{account\_id}/urlscanner/v2/responses/{response\_id}

Returns the raw response of the network request. Find the `response_id` in the `data.requests.response.hash`.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`URL Scanner Write``URL Scanner Read`

##### ParametersExpand Collapse

responseID string

Response hash.

[Link to this property](<#(resource)%20url_scanner.responses%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20response_id%20%3E%20(schema)>)

<details>

<summary>

query ResponseGetParams

</summary>

AccountID param.Field\[string]

Account ID.

<a href="#(resource)%20url_scanner.responses%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20url_scanner.responses%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

type ResponseGetResponse string

Web resource or image.

[Link to this property](<#(resource)%20url_scanner.responses%20%3E%20(method)%20get%20%3E%20(network%20schema)>)

### Get raw response

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/url_scanner"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.URLScanner.Responses.Get(
    context.TODO(),
    "response_id",
    url_scanner.ResponseGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
```

##### Returns Examples